# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
BuildRequires: libgnutls-extra-devel libgcrypt-devel
%define oldname python-gnutls
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}


Name:		python-module-gnutls
Version:	1.2.4
Release:	alt1_1
Summary:	Python wrapper for the GNUTLS library
Group:		Development/Python
License:	LGPLv2+
URL:		http://pypi.python.org/pypi/python-gnutls
Source0:	http://pypi.python.org/packages/source/p/%{oldname}/%{oldname}-%{version}.tar.gz
BuildRequires:	python-devel
BuildRequires:	libgnutls-devel
BuildRequires:	python-module-distribute
Source44: import.info


%description
This package provides a high level object oriented wrapper around gnutls,
as well as low level bindings to the GNUTLS types and functions via ctypes.
The high level wrapper hides the details of accessing the GNUTLS library via
ctypes behind a set of classes that encapsulate GNUTLS sessions, certificates
and credentials and expose them to python applications using a simple API.

The package also includes a Twisted interface that has seamless intergration
with Twisted, providing connectTLS and listenTLS methods on the Twisted reactor
once imported (the methods are automatically attached to the reactor by simply
importing the GNUTLS Twisted interface module).

The high level wrapper is written using the GNUTLS library bindings that are
made available via ctypes. This makes the wrapper very powerful and flexible
as it has direct access to all the GNUTLS internals and is also very easy to
extend without any need to write C code or recompile anything.


%prep
%setup -n %{oldname}-%{version} -q
chmod 644 examples/*.py


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} -c 'import setuptools; execfile("setup.py")' build


%install
%{__python} -c 'import setuptools; execfile("setup.py")' install --skip-build --root $RPM_BUILD_ROOT


%files
%doc LICENSE PKG-INFO README examples
%{python_sitelibdir}/gnutls/
%{python_sitelibdir}/python_gnutls-%{version}-*.egg-info/


%changelog
* Mon Feb 18 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.4-alt1_1
- update to new release by fcimport

* Sat Jan 05 2013 Igor Vlasenko <viy@altlinux.ru> 1.1.9-alt1_5
- initial fc import

